m.cogo(1)

NAME
m.cogo - A simple utility for converting bearing and distance measurements to coordinates and vice versa. It assumes a cartesian coordinate system

KEYWORDS
miscellaneous

SYNOPSIS
m.cogo
m.cogo help
m.cogo [-lqr] [input=string] [output=string] [coord=x,y]

  Flags:

-l  Lines are labelled

-q  Suppress warnings

-r  Convert from coordinates to bearing and distance

  Parameters:

input=string
    Path to the input file Default: -

output=string
    Path to an output file Default: -

coord=x,y
    Starting coordinate pair Default: 0.0,0.0

DESCRIPTION
m.cogo converts data points between bearing and distance and X,Y coordinates. Only simple bearing/distance or coordinate pairs are handled. It assumes a cartesian coordinate system.

Input can be entered via standard input (default) or from the file input=name. Specifying the input as "-" also specifies standard input, and is useful for using the program in a pipeline. Output will be to standard output unless a file name other than "-" is specified. The input file must closely adhere to the following format, where up to a 10 character label is allowed but not required (see -l flag).

Example COGO input:

P23 N 23:14:12 W 340
P24 S 04:18:56 E 230

The first column may contain a label and you must use the -l flag so the program knows. This is followed by a space, and then either the character 'N' or 'S' to indicate whether the bearing is relative to the north or south directions. After another space, the angle begins. Generally, the angle can be of the form digits + separator + digits + separator + digits [+ '.' + digits]. A space follows the angle, and is then followed by either the 'E' or 'W' characters. A space separates the bearing from the distance (which should be in appropriate linear units).

Output of the above input:

-134.140211 312.420236 P23
-116.832837 83.072345 P24

Unless specified with the coord option, calculations begin from (0,0).

For those unfamiliar with the notation for bearings: Picture yourself in the center of a circle. The first hemispere notation tell you whether you should face north or south. Then you read the angle and either turn that many degrees to the east or west, depending on the second hemisphere notation. Finally, you move units in that direction to get to the next station. m.cogo can be run either non-interactively or interactively. The program will be run non-interactively if the user specifies any parameter or flag. Use "m.cogo -", to run the program in a pipeline. Without any flags or parameters, m.cogo will prompt for each value using the familiar GRASS parser interface.

NOTES
This program is very simplistic, and will not handle deviations from the input format explained above. Currently, the program doesn't do anything particularly useful with the output. However, it is envisioned that this program will be extended to provide the capability to generate vector and/or sites layers.

AUTHOR
Eric G. Miller

Last changed: $Date: 2005/06/21 04:18:52 $

Full index